# Uses of Interface
org.eclipse.net4j.util.lifecycle.ILifecycleEvent

Packages that use ILifecycleEvent
Package
Description
org.eclipse.net4j.util.container
A framework of notifying collections and wiring containers.
org.eclipse.net4j.util.lifecycle
A framework for components with a simple lifecycle.

## Uses of ILifecycleEvent in org.eclipse.net4j.util.container

Methods in org.eclipse.net4j.util.container with parameters of type ILifecycleEvent
Modifier and Type
Method
Description
`protected void`
LifecycleEventConverter.`added(ILifecycleEvent e)`
`protected void`
LifecycleEventConverter.`fireContainerEvent(ILifecycleEvent e, IContainerDelta.Kind kind)`
`protected void`
ContainerEventAdapter.`notifyLifecycleEvent(ILifecycleEvent event)`
`protected void`
LifecycleEventConverter.`removed(ILifecycleEvent e)`

## Uses of ILifecycleEvent in org.eclipse.net4j.util.lifecycle

Classes in org.eclipse.net4j.util.lifecycle that implement ILifecycleEvent
Modifier and Type
Class
Description
`class`
`LifecycleEvent`
A default implementation of a lifecycle `event`.
Methods in org.eclipse.net4j.util.lifecycle with parameters of type ILifecycleEvent
Modifier and Type
Method
Description
`protected void`
LifecycleEventAdapter.`notifyLifecycleEvent(ILifecycleEvent event)`